<?php
session_start();
include "verifica.php";

include("../conexion.php");

@$xid = $_REQUEST['xid'];
@$xaccion = $_REQUEST['xaccion'];
@$xprc_codi = $_REQUEST['xprc_codi'];
@$xusuario_sesion = $_SESSION['nombre_usuario'];

@$xprom_codi = $_REQUEST['xprom_codi'];
@$xunimed_codi = $_REQUEST['xunimed_codi'];
@$xprd_codi = $_REQUEST['xprd_codi'];
@$xprecio = $_REQUEST['xprecio'];
@$xprecio_compra = $_REQUEST['xprecio_compra'];

@$xpromdet_codi = $_REQUEST['xpromdet_codi'];
 


			?>			
			<script language="javascript">
			//alert("Por aqui. 322 <?php echo $xaccion; ?> ")
			</script>			
			<?php




$promdet = new Promocionesdetalle;

switch($xaccion){
	
	case "adicionar": 
		if($promdet->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.cerraradicionar('d_adiciona_item');
			parent.parent.document.getElementById('frame_precios').src = "promociones_detalle.php?xid=<?php echo $xid;?>";	
			       
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($promdet->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados.");
			parent.parent.buscar();
			//parent.location.href="../precios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($promdet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Item de la promoción ha sido eliminado satisfactoriamente.")
			parent.parent.cerraradicionar('d_adiciona_item');
			parent.parent.document.getElementById('frame_precios').src = "promociones_detalle.php?xid=<?php echo $xid;?>";	
			</script>			
			<?php
			
		}		
		break;

}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Promocionesdetalle{

	//Adiciona nuevo precio
	function adicionar($conexion){
		global $xid, $xusuario_sesion, $xprom_codi, $xunimed_codi, $xprd_codi, $xprecio, $xprecio_compra;
		
		$xs_empresa = $_SESSION['s_empresa'];
		
		$r_cuenta = mysqli_query($conexion,"SELECT * FROM promociones_detalle p WHERE p.prom_codi_fk = $xprom_codi;");
		if(mysqli_num_rows($r_cuenta) > 0){
		?>
		<script language="javascript">
		alert("ADVERTENCIA: Una promoción no puede contener más de un producto.");
		</script>
		<?php
		}else{
		
			$r=mysqli_query($conexion,"INSERT INTO promociones_detalle ( prd_codi_fk, 
																		unimed_codi_fk,
																		prom_codi_fk, 
																		promdet_precio,
																		promdet_costo,
																		promdet_usu_crea, 
																		emp_codi_fk) 
																VALUES($xprd_codi, 
																		$xunimed_codi,
																		$xprom_codi,
																		$xprecio,
																		$xprecio_compra, 
																		'$xusuario_sesion', 
																		$xs_empresa);");				
					
			if($r){		
				return 1;
			}					
		}	
	}	


	//Modifica un precio
	function modificar($conexion){
		global $xid, $xusuario_sesion, $xprom_codi;		
		
		$xs_empresa = $_SESSION['s_empresa'];			
		/*		
		$result1=mysqli_query($conexion,"SELECT * FROM promociones_detalle p 
										WHERE promdet_codi_fk = $xid 
										AND emp_codi_fk = $xs_empresa;");
		*/
		$result1=mysqli_query($conexion,"SELECT * FROM promociones_detalle p 
										WHERE prom_codi_fk = $xprom_codi;");
		
		while($row1=mysqli_fetch_array($result1)){
		
			$xpromdet_codi = $row1['promdet_codi'];					

			@$xproducto = "xproducto_".$xpromdet_codi;
			@$xproducto = $_REQUEST[$xproducto];		
					
			@$xunidad = "xunidad_".$xpromdet_codi;
			@$xunidad = $_REQUEST[$xunidad];
		
			@$xtipoprecio = "xtipoprecio_".$xpromdet_codi;
			@$xtipoprecio = $_REQUEST[$xtipoprecio];
		
			@$xprecio_promocion = "xprecio_promocion_".$xpromdet_codi;
			@$xprecio_promocion = $_REQUEST[$xprecio_promocion];

			@$xcantidad = "xcantidad_".$xpromdet_codi;
			@$xcantidad = $_REQUEST[$xcantidad];
			
			@$xequivalente = "xequivalente_".$xpromdet_codi;
			@$xequivalente = $_REQUEST[$xequivalente];
			
			
			//echo $opt."<--opt ".$chk."<--chk ".$xunidad."<--unidad ".$xtipoprecio."<--tipoprecio ".$xprecio."<--precio <br>";
				
			$r=mysqli_query($conexion,"update promociones_detalle set promdet_precio_promocion = '$xprecio_promocion',
																promdet_cantidad = '$xcantidad',																	
																promdet_usu_modifica = '$xusuario_sesion',
																promdet_equivalente = '$xequivalente'
													where promdet_codi = $xpromdet_codi;");
			
		}		
		
		if($r){		
			return 1;
		}		
	}	
	

	//Elimina un precio
	function eliminar($conexion){
		global $xid,$xprc_codi, $xpromdet_codi;		
		
		$r = mysqli_query($conexion,"SELECT prom_codi_fk from promociones_detalle where promdet_codi = $xpromdet_codi;");
		while($row = mysqli_fetch_array($r)){
			$xprom_codi = $row['prom_codi_fk']; 
		}

		$r_elimina = mysqli_query($conexion,"delete from promociones_detalle where promdet_codi = $xpromdet_codi;");
				
		if($r_elimina){				
			$r_desactiva_actualiza = mysqli_query($conexion,"UPDATE promociones SET prom_estado=0 WHERE prom_codi=$xprom_codi;");					
			$xchk="chk_".$xprom_codi;		
			if($r_desactiva_actualiza){
			?>
				<script language="javascript">
				parent.parent.document.getElementById('<?php echo $xchk;?>').checked=false;
				parent.parent.document.getElementById('<?php echo $xchk;?>').disabled=true;
				</script>
			<?php	
			}
							
			return 1;
		}	
	}		



}








?>

